Description

The function GradingMat bothers me a bit.  Is it actually useful?

(yes)

Can it be removed?

(no)

History

#1 - 25 Nov 2015 14:14 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I am getting ready to check in the changes I have made, and a few oversights are coming up :-(

Now each concrete PPOrdering contains inside itself a matrix representing the ordering so that OrdMat can return a "reference" to a matrix.

I'm not sure what to do about the function GradingMat; it cannot simply return a reference because there is no internal matrix for just the grading part. 

As noted in comment 4 of issue #310 it could be a submatrix of the order matrix -- remember a submatrix is just a matrix view so can be copied

cheaply.

Does anyone actually use GradingMat?  Is it genuinely useful?

#2 - 27 Nov 2015 16:27 - John Abbott

GradingMat is used in hp.cpkg5 but just for testing whether the grading is "standard";  Anna can you fix this?

#3 - 30 Nov 2015 14:54 - Anna Maria Bigatti

John Abbott wrote:

GradingMat is used in hp.cpkg5 but just for testing whether the grading is "standard";  Anna can you fix this?

 

Fixed. Obviously was old code, because it had its own implementation of IsStdGraded (now removed)
https://cocoa.dima.unige.it/redmine/issues/310


#4 - 22 Mar 2016 17:54 - Anna Maria Bigatti

I think it is a meaningful function (even though it is simply a submat of OrdMat).

It might become more tricky when we implement "clever" positive gradings dealing with negative entries in the first GradingDim rows.

It is used in primary.cpkg5 for making new multidegree-compatible orderings.

#5 - 22 Mar 2016 17:54 - Anna Maria Bigatti

- % Done changed from 10 to 50

#6 - 24 Mar 2016 11:58 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 50 to 100

#7 - 24 Mar 2016 11:58 - Anna Maria Bigatti

- Description updated
